FROM haskell:9.2.7-buster

COPY . /opt
WORKDIR /opt

# Setup image
RUN bash ./setup.sh

# Set locale
ENV LANG en_US.UTF-8
ENV LANGUAGE ""
ENV LC_CTYPE "en_US.UTF-8"
ENV LC_NUMERIC de_DE.UTF-8
ENV LC_TIME de_DE.UTF-8
ENV LC_COLLATE "en_US.UTF-8"
ENV LC_MONETARY de_DE.UTF-8
ENV LC_MESSAGES "en_US.UTF-8"
ENV LC_PAPER de_DE.UTF-8
ENV LC_NAME de_DE.UTF-8
ENV LC_ADDRESS de_DE.UTF-8
ENV LC_TELEPHONE de_DE.UTF-8
ENV LC_MEASUREMENT de_DE.UTF-8
ENV LC_IDENTIFICATION de_DE.UTF-8
ENV LC_ALL ""

RUN locale

